> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Provider Ip Blocking Exempt

> Update whether a provider is exempt from IP blocking.



## OpenAPI

````yaml put /admin/settings/ip-blocking/provider/{provider_id}/exempt
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/ip-blocking/provider/{provider_id}/exempt:
    put:
      tags:
        - provider
        - admin
      summary: Update Provider Ip Blocking Exempt
      description: Update whether a provider is exempt from IP blocking.
      operationId: >-
        update_provider_ip_blocking_exempt_admin_settings_ip_blocking_provider__provider_id__exempt_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderIPBlockingExemptUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Update Provider Ip Blocking Exempt Admin Settings Ip
                  Blocking Provider  Provider Id  Exempt Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProviderIPBlockingExemptUpdate:
      properties:
        ipBlockingExempt:
          type: boolean
          title: Ipblockingexempt
      type: object
      required:
        - ipBlockingExempt
      title: ProviderIPBlockingExemptUpdate
      description: Schema for updating provider IP blocking exemption.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````